### Constructor

# Gtk Viewport new

#### Declaration [src]

    GtkWidget*
    gtk_viewport_new (
      GtkAdjustment* hadjustment,
      GtkAdjustment* vadjustment
    )

#### Description [src]

Creates a new `GtkViewport`.

The new viewport uses the given adjustments, or default adjustments if none are given.

#### Parameters

`hadjustment` | `GtkAdjustment`
| Horizontal adjustment.
| The argument can be `NULL`.
| The data is owned by the caller of the function.
`vadjustment` | `GtkAdjustment`
| Vertical adjustment.
| The argument can be `NULL`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `GtkWidget`
| A new `GtkViewport`.
| The data is owned by the called function.